/*
 * Copyright (C) 2014-2016 CERN (www.cern.ch)
 * Author: Federico Vaga <federico.vaga@cern.ch>
 * SPDX-License-Identifier: LGPL-3.0-or-later
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __LIBTRTL_INTERNAL_H__
#define __LIBTRTL_INTERNAL_H__
#include "libmockturtle.h"

/**
 * Internal descriptor for a TRTL device
 */
struct trtl_desc {
	uint32_t devid;
	char name[TRTL_NAME_LEN]; /**< Name of the device */
	char path[TRTL_PATH_LEN]; /**< path to device */
	int fd_dev; /**< File Descriptor of the device */
	int fd_cpu[TRTL_MAX_CPU];  /**< File Descriptor of the CPUs */
	int fd_hmq[TRTL_MAX_CPU][TRTL_MAX_MQ_CHAN]; /**< File Descriptors for the HMQ */
	struct trtl_config_rom cfgrom;/**< synthesis configuration */

	struct trtl_dev *trtl_sync; /**< token for synchronous operations */
};

#endif
